<?
include '../config.php';
include '../func.php';
head();
aut();
ban();

echo head . 'Микроблог' . div . katalog;
if (isset($_POST['submit'])) {

$name=html($_POST['name']);

if (strlen($name)<3)$err='Слишком короткий текст. Min 3';
if (strlen($name)>1000)$err='Слишком длинный текст. Max 1000';

if (empty($err)) {
    $msg1 = '<b>'.user($id_session).'</b> обновил статус <b>'.$name.'</b>';
mysql_query("INSERT INTO `jurnal` SET  `msg` = '".$msg1."', `user` = '".$id_session."', `date` = '".time()."'");
mysql_query("INSERT INTO `microblog` (`id_user`, `name`, `write`, `time`) values('".$id_session."', '".$name."', '".num($_POST['write'])."', '".time()."')");
header("Location: blog.php?id=".mysql_insert_id()."");


exit();
}
}

echo '<form action="add.php" method="post" name="form">';
echo "Что у вас нового?<br />\n";
echo '<textarea id="tarea" name="name" cols="30" rows="5" style="width: 99%;"></textarea><br/>';

echo '<input name="submit" type="submit" class="button" value="Написать" /></form>';    

echo div;
navig();
foot();
?>